=== doc/bash/CMakeLists.txt ===
#
# Bash completion template
#
install(FILES polybar
  DESTINATION share/bash-completion/completions
  COMPONENT tools)
