=== doc/zsh/CMakeLists.txt ===
#
# Zsh completion template
#
install(FILES _polybar _polybar_msg
  DESTINATION share/zsh/site-functions
  COMPONENT tools)
