=== debian/changelog ===
polybar (3.4.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release; ebuild for MX 17.
  * Add python3-sphinx build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Oct 2019 19:13:53 -0700
