=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libxcb-sync-dev,
                libxcb-xkb-dev,
                python-xcbgen,
+               python3-sphinx,
                pkg-config,
                xcb-proto
 Standards-Version: 4.1.3
