=== debian/changelog ===
polybar (3.4.1-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
    - ipc: Update bar when making it visible (#1889), see #1875
      Set bar position when making it visible (#1901), see #1484, i3/i3#3834
    - internal/backlight: Use correct brightness file for amdgpu_bl0 (#1900),
      see #1870, Alexays/Waybar#335


 -- Steven Pusser <stevep@mxlinux.org>  Fri, 08 Nov 2019 15:22:44 -0800

polybar (3.4.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release; ebuild for MX 19.
  * Add python3-sphinx build-depend.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 14 Oct 2019 19:13:53 -0700
