=== debian/rules ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	dh_strip --no-automatic-dbgsym
 
 # git commit or tag
-GITREV=3.3.1
+GITREV=3.4.1
 GIT_URL=https://github.com/jaagr/polybar
 SRC_DIR=polybar-$(DEB_VERSION_UPSTREAM)
