=== src/CMakeLists.txt ===
--- 
+++ 
@@ -41,15 +41,6 @@
 endif()
 if(NOT WITH_XRANDR)
   list(REMOVE_ITEM files x11/extensions/randr.cpp)
-endif()
-if(NOT WITH_XRENDER)
-  list(REMOVE_ITEM files x11/extensions/render.cpp)
-endif()
-if(NOT WITH_XDAMAGE)
-  list(REMOVE_ITEM files x11/extensions/damage.cpp)
-endif()
-if(NOT WITH_XSYNC)
-  list(REMOVE_ITEM files x11/extensions/sync.cpp)
 endif()
 if(NOT WITH_XCOMPOSITE)
   list(REMOVE_ITEM files x11/extensions/composite.cpp)
