=== debian/changelog ===
polybar (3.4.2-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 29 Dec 2019 22:23:56 -0800
