=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure --		   \
	  -DBUILD_DOC:BOOL="ON"            \
	  -DBUILD_TESTS:BOOL="OFF"          \
	  -DENABLE_ALSA:BOOL="ON"          \
	  -DENABLE_PULSEAUDIO:BOOL="ON"    \
	  -DENABLE_I3:BOOL="ON"            \
	  -DENABLE_MPD:BOOL="ON"           \
	  -DENABLE_NETWORK:BOOL="ON"       \
	  -DENABLE_CURL:BOOL="ON"          \
	  -DBUILD_IPC_MSG:BOOL="ON"

override_dh_compress:
	dh_compress --exclude=config
