=== debian/watch ===
version=4
opts=\
repack,compression=xz
https://github.com/polybar/polybar/releases .*/polybar-?(\d\S+)\.tar
