## polybar 3.5.2

=== debian/changelog ===
polybar (3.5.2-0.1~mx19+1) mx; urgency=medium

  * New upstream version 3.5.2

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 15 Dec 2020 10:05:32 -0800

polybar (3.5.0-2) unstable; urgency=medium

  [ Adrian Bunk ]
  * Link against atomic on platforms that doesn't have __atomic*
    (closes: #976988)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 09 Dec 2020 18:23:48 +0000

polybar (3.5.0-1) unstable; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 3.5.0
  * Drop patch that has been merged upstream
  * Refresh d/patches

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.5.1
  * d/control: Add git build-dep
  * d/p/disable_config_generation.patch: Add Forwarded field with
    'not-needed' value
  * d/p/dont_build_html_doc.patch: Add Forwarded field with 'not-needed'
    value
  * d/copyright: Remove mention of libjsoncpp, not vendored anymore

 -- Samuel Henrique <samueloph@debian.org>  Tue, 08 Dec 2020 18:47:21 +0000
