=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Maintainer: Samuel Henrique <samueloph@debian.org>
 Uploaders: Utkarsh Gupta <utkarsh@debian.org>
 Build-Depends: cmake,
-               debhelper-compat (= 13),
+               debhelper-compat (= 12),
+               git,
                i3-wm,
                libasound2-dev,
                libcairo2-dev,
@@ -30,15 +31,14 @@
                python3-sphinx,
                python3-xcbgen,
                xcb-proto
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/polybar
 Vcs-Git: https://salsa.debian.org/debian/polybar.git
 
 Package: polybar
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Fast and easy-to-use tool for creating status bars
  Polybar aims to help users build beautiful and highly customizable status bars
  for their desktop environment, without the need of having a black belt in
