## polybar 3.5.4

=== debian/changelog ===
polybar (3.5.4-1) unstable; urgency=medium

  * New upstream version 3.5.4

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 07 Jan 2021 19:26:45 +0530

polybar (3.5.3-1) unstable; urgency=medium

  * New upstream version 3.5.3
  * Drop BD on git

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 24 Dec 2020 00:31:51 +0530

polybar (3.5.2-1) unstable; urgency=medium

  * New upstream version 3.5.2
  * d/watch: Upstream now provides compressed tarballs

 -- Samuel Henrique <samueloph@debian.org>  Tue, 22 Dec 2020 00:11:49 +0000
